Bug 447533 - Review Request: minirpc - an RPC library for stream oriented transports
Review Request: minirpc - an RPC library for stream oriented transports
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 09:04 EDT by Adam Goode
Modified: 2008-10-07 13:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 17:13:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-05-20 09:04:32 EDT
Spec URL: http://www.cs.cmu.edu/~agoode/fedora/minirpc.spec
SRPM URL: http://www.cs.cmu.edu/~agoode/fedora/minirpc-0.3-1.fc9.src.rpm
Description: miniRPC is a RPC library designed with modern systems in mind. It has a simple wire protocol to allow for future interoperability with other languages and systems.
Comment 1 Patrice Dumas 2008-05-20 18:39:12 EDT
I suggest addint INSTALL='install -p' to the make install line to 
keep header file timestamps.

Given that the date appears in doxygen generated files, you could
have a look at
http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks
to avoid conflicts in multilib settings.

Everyting else looks good.
Comment 2 Adam Goode 2008-05-20 22:05:24 EDT
(In reply to comment #1)
> I suggest addint INSTALL='install -p' to the make install line to 
> keep header file timestamps.
> 

I could do this, but it doesn't seem to matter with multilib. Plus, one of the
headers is a generated file anyway, so the timestamps don't mean much. Is there
a reason for doing this?

> Given that the date appears in doxygen generated files, you could
> have a look at
> http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks
> to avoid conflicts in multilib settings.
> 

Ok, I have fixed this:

http://www.cs.cmu.edu/~agoode/fedora/minirpc.spec
http://www.cs.cmu.edu/~agoode/fedora/minirpc-0.3-2.fc9.src.rpm
Comment 3 Patrice Dumas 2008-05-21 03:41:36 EDT
(In reply to comment #2)

> I could do this, but it doesn't seem to matter with multilib. Plus, one of the
> headers is a generated file anyway, so the timestamps don't mean much. Is
there
> a reason for doing this?

For the file which is not generated the timestamp is an interesting 
information in any case.

For the generated file, it does matter if you install both arch and 
do a rpm -V.

there is also some simple related hints on 
http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks

But since the doxygen files are generated too, I won't make it a
blocker.

The timestamps could be kept with (untested):

touch -c -r minirpc/minirpc.h.in minirpc/minirpc.h
touch -r CHANGES doc/html/*
Comment 4 Ralf Corsepius 2008-05-21 04:26:11 EDT
(In reply to comment #3)
> > Is there a reason for doing this?
No there isn't.

> For the file which is not generated the timestamp is an interesting 
> information in any case.
The time-stamps are technically completely irrelevant in the vast majority of
cases (like yours) - Some people refuse to understand this.


Comment 5 Patrice Dumas 2008-05-21 05:12:10 EDT
Anyway these are not blockers, only suggestions, so

* rpmlint is silent
* follow guidelines
* free software license included
* match upstream:
892e83621ee9f840a99f2707adbd2aa3  minirpc-0.3.tar.gz
* %files section right
* library properly packaged

I don't think it is useful to duplicate the README/CHANGES/COPYING
files in the -devel subpackage since it depends on the main package
and these files are already in the main package. I also won't make it 
a blocker.


APPROVED
Comment 6 Adam Goode 2008-05-21 10:42:25 EDT
Thanks for the review. I think your other suggestions are good, I will try to
incorporate them.
Comment 7 Adam Goode 2008-05-21 11:40:24 EDT
New Package CVS Request
=======================
Package Name: minirpc
Short Description: RPC library for stream transports
Owners: agoode
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-21 14:34:30 EDT
cvs done.
Comment 9 Adam Goode 2008-10-05 14:51:14 EDT
Package Change Request
======================
Package Name: minirpc
New Branches: EL-5
Owners: agoode
Comment 10 Kevin Fenzi 2008-10-07 13:49:25 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.